<?php

define("JW_SETUP_DESC", sprintf(__("پخش کننده JW&trade; برای ارائه محتوای ویدئو از طریق سایت وردپرسی شما استفاده می شود. برای کسب اطلاعات بیشتر <a href=http://www.longtailvideo.com/%s target=_blank>LongTail Video</a> را مشاهده کنید.", 'jw-player-plugin-for-wordpress'), JW_PLAYER_GA_VARS));
define("JW_SETUP_EDIT_PLAYERS", __("این بخش به شما اجازه ساخت پخش کننده های دلخواه را می دهد.  ممکن است که متغیرهای فلش، پوسته ها و افزونه ها را پیکربندی کنید.", 'jw-player-plugin-for-wordpress'));
define("JW_LICENSED", __("برای به دست آوردن یک پخش کننده مجار، لطفا یک مجور از LongTail Video خریداری کنید.", 'jw-player-plugin-for-wordpress'));

/**
 * Responsible for the display of the Player management page.
 * @file Class definition of PlayerState.
 * @see AdminState
 */
class PlayerState extends AdminState {

  /**
   * @see AdminState::__construct()
   * @param $player
   * @param string $post_values
   * @return \PlayerState
   */
  public function __construct($player, $post_values = "") {
    parent::__construct($player, $post_values);
  }

  /**
   * @see AdminState::getID()
   * @return string
   */
  public static function getID() {
    return "player";
  }

  /**
   * @see AdminState::getNextState()
   * @return \BasicState
   */
  public function getNextState() {
    LongTailFramework::setConfig($this->current_player);
    return new BasicState($this->current_player, $this->current_post_values);
  }

  /**
   * @see AdminState::getPreviousState()
   */
  public function getPreviousState() {
    echo "این نمی تواند نام گذاری شود.";
  }

  /**
   * @see AdminState::getCancelState()
   */
  public function getCancelState() {
    echo "این نمی تواند نام گذاری شود.";
  }

  /**
   * @see AdminState::getSaveState()
   */
  public function getSaveState() {
    echo "این نمی تواند نام گذاری شود.";
  }

  /**
   * @see AdminState::render()
   */
  public function render() {
    $players = LongTailFramework::getConfigs();
    if (!$players) $this->infoMessage(sprintf(__("اگر شما می خواهید که پخش کننده های دلخواه را ایجاد کنید، لطفا مطمئن شوید که دایرکتوری %s/configs/" . " وجود دارد و قابل نوشتن است. این دایرکتوری برای ساخت پخش کننده های دلخواه لازم است.  ", 'jw-player-plugin-for-wordpress') . JW_FILE_PERMISSIONS, JWPLAYER_FILES_DIR)); ?>
    <div class="wrap">

      <script type="text/javascript">

        function updateHandler(button) {
          button.form.submit();
        }

        function selectionHandler(button) {
          var field = document.getElementById("<?php echo LONGTAIL_KEY . "player" ?>");
          field.setAttribute("value", button.id.replace("<?php echo LONGTAIL_KEY . "player_"; ?>", ""));
          var field = document.getElementById("<?php echo LONGTAIL_KEY . "new_player"; ?>");
          field.setAttribute("value", button.id.replace("<?php echo LONGTAIL_KEY . "player_"; ?>", ""));
        }

        function copyHandler(button) {
          var field = document.getElementById("<?php echo LONGTAIL_KEY . "player" ?>");
          field.setAttribute("value", button.id.replace("<?php echo LONGTAIL_KEY . "player_"; ?>", ""));
          var field = document.getElementById("<?php echo LONGTAIL_KEY . "new_player"; ?>");
          field.setAttribute("value", button.id.replace("<?php echo LONGTAIL_KEY . "player_"; ?>", "") + "_copy");
        }

        function deleteHandler(button) {
          var result = confirm(__("آیا شما مطمئنید که می خواهید پخش کننده را حذف کنید؟", 'jw-player-plugin-for-wordpress'));
          if (result) {
            selectionHandler(button);
            return true;
          }
          return false;
        }

      </script>

      <h2>نصب پخش کننده JW</h2>
      <p><span><?php echo JW_SETUP_EDIT_PLAYERS; ?></span><p>
      <?php /* Please upgrade to JWP6! if (file_exists(LongTailFramework::getPrimaryPlayerPath())) { ?>
        <form name="<?php echo LONGTAIL_KEY . "upgrade_form" ?>" method="post" action="admin.php?page=jwplayer-update">
          <?php $version = get_option(LONGTAIL_KEY . "version"); ?>
          <?php $alternate = get_option(LONGTAIL_KEY . "player_location_enable"); ?>
          <?php $location = get_option(LONGTAIL_KEY . "player_location"); ?>
          <?php $jwPlayer = file_exists(LongTailFramework::getPlayerPath()); ?>
          <?php $jwEmbedder = file_exists(LongTailFramework::getEmbedderPath()); ?>
            <div id="poststuff">
              <div id="post-body">
                <div id="post-body-content">
                  <div class="stuffbox">
                    <h3 class="hndle"><span><?php _e("وضعیت پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?></span></h3>
                    <div class="inside" style="margin: 15px;">
                      <table>
                        <tr valign="top">
                          <td>
                            <div>
                            <?php if (!$alternate) { ?>
                              <p>
                                <span><strong>JW Player:</strong> <?php echo $jwPlayer ? __("نصب شده", 'jw-player-plugin-for-wordpress') : __("تشخیص داده نشده", 'jw-player-plugin-for-wordpress'); echo $version && $jwPlayer ? " (پخش کننده JW $version)" : ""; ?></span>
                              </p>
                              <p><span><strong>قرار دهنده JW:</strong></span> <?php echo $jwEmbedder ? __("نصب شده", 'jw-player-plugin-for-wordpress') : __("تشخیص داده نشده (فایل SWF به جای آن استفاده می شود)", 'jw-player-plugin-for-wordpress'); ?></p>
                              <?php if (!strstr($version, "Licensed")) { ?>
                                <p><span><strong><?php _e("لطفا توجه کنید:", 'jw-player-plugin-for-wordpress');?></strong> <?php _e("افزونه پخش کننده JW برای وردپرس هنوز نسخه 6 پخش کننده را پشتیبانی نمی کند. ما خیلی سریع برای بروزرسانی افزونه کار می کنیم که مدت زیادی طول نمی کشد. اوایل سال2013، شما قادر به استفاده از نسخه 6 همراه با وردپرس خواهید بود. هم اکنون ما پیشنهاد می کنیم که فعلا از نسخه 5 استفاده کنید. لطفا منتظر بمانید!", 'jw-player-plugin-for-wordpress'); ?></span></p>
                                <p><strong><?php _e("نسخه های پشتیبانی شده:", 'jw-player-plugin-for-wordpress'); ?></strong></p>
                                <table style="border: 1px solid gray;">
                                  <tr>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.0</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.1</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.2</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.3</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.4</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.5</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.6</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.7</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.8</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.9</td>
                                    <td style="border: 1px solid gray; width: 30px; text-align: center">5.10</td>
                                  </tr>
                                </table>
                                <p><em><?php _e("اگر شما در حال حاضر یک بروزرسانی تجاری برای نسخه 6 خریده اید، ما هم می توانیم روند بازپرداخت را انجام دهیم، یا شما می توانید مجوز تجاری خود را تا زمانی که افزونه بروزرسانی شود نگه دارید. ما برای مشکل عذرخواهی می کنیم.");?></em></p>
                              <?php } ?>
                            <?php } else if ($alternate) { ?>
                              <p><span><?php echo "<strong>" . __("پخش کننده فعلی", 'jw-player-plugin-for-wordpress') . ":</strong> " . __("نسخه ناشناخته", 'jw-player-plugin-for-wordpress'); ?></span></p>
                              <p><span><?php printf(__("پخش کننده از مکانی دیگر بارگذاری شده است (<strong>%s</strong>) و توسط افزونه مدیریت نمی شود.", 'jw-player-plugin-for-wordpress'), $location); ?></span></p>
                            <?php } else { ?>
                              <p><span><?php _e("<strong>نسخه فعلی: </strong>نسخه ناشناخته", 'jw-player-plugin-for-wordpress'); ?></span></p>
                              <p><input class="button-secondary" type="submit" name="Update_Player" value="<?php _e("برای نصب دوباره اینجا کلیک کنید.", 'jw-player-plugin-for-wordpress'); ?>" /></p>
                            <?php } ?>
                          </div>
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      <?php } else if (file_exists(LongTailFramework::getSecondaryPlayerPath())) { ?>
        <form name="<?php echo LONGTAIL_KEY . "upgrade_form" ?>" method="post" action="admin.php?page=jwplayer-update">
          <span><?php _e("<strong>نسخه فعلی:</strong> نسخه ناشناخته ", 'jw-player-plugin-for-wordpress'); ?></span>
          <input class="button-secondary" type="submit" name="Update_Player" value="<?php _e("برای نصب دوباره اینجا کلیک کنید.", 'jw-player-plugin-for-wordpress'); ?>" />
        </form>
      <?php } */?>
      <form name="<?php echo LONGTAIL_KEY . "form" ?>" method="post" action="">
      <div id="poststuff">
        <div id="post-body">
          <div id="post-body-content">
            <div class="stuffbox">
              <h3 class="hndle"><span>مدیریت پخش کننده ها</span></h3>
              <div class="inside" style="margin: 15px;">
                <table style="width: 100%;">
                  <tr valign="top">
                    <td>
                      <div>
                          <table class="widefat" cellspacing="0">
                            <thead>
                              <tr>
                                <th class="manage-column column-name" style="text-shadow: none;">پیش فرض</th>
                                <th class="manage-column column-name">پخش کننده ها</th>
                                <th class="manage-column column-name">نوار مدیریت</th>
                                <th class="manage-column column-name">پوسته ها</th>
                                <th class="manage-column column-name">بارانداز</th>
                                <th class="manage-column column-name">شروع خودکار</th>
                                <th class="manage-column column-name">ارتفاع</th>
                                <th class="manage-column column-name">عرض</th>
                                <th class="manage-column column-name" style="text-shadow: none;">اعمال</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <td style="vertical-align: middle">
                                  <input onchange="updateHandler(this);" type="radio" id="<?php echo LONGTAIL_KEY . "default_Out-of-the-Box"; ?>" name="<?php echo LONGTAIL_KEY . "default"; ?>" value="<?php _e("خارج از جعبه", 'jw-player-plugin-for-wordpress'); ?> <?php checked("Out-of-the-Box", get_option(LONGTAIL_KEY . "default")); ?>"/>
                                </td>
                                <td style="vertical-align: middle;"><span><?php echo "Out-of-the-Box"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "bottom"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "default"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "false"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "false"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "300"; ?></span></td>
                                <td style="vertical-align: middle;"><span><?php echo "400"; ?></span></td>
                                <td style="vertical-align: middle;"><input class="button-secondary action" id="<?php echo LONGTAIL_KEY . "player_Out-of-the-Box"; ?>" type="submit" name="Next" value="<?php _e("کپی", 'jw-player-plugin-for-wordpress'); ?>" onclick="copyHandler(this)"/></td>
                              </tr>
                              <?php $alternate = false; ?>
                              <?php if ($players) { ?>
                                <?php foreach ($players as $player) { ?>
                                  <?php if ($player != __("پخش کننده جدید", 'jw-player-plugin-for-wordpress')) { ?>
                                    <?php $alternate = !$alternate; ?>
                                    <?php LongTailFramework::setConfig($player); ?>
                                    <?php $details = LongTailFramework::getPlayerFlashVars(LongTailFramework::BASIC); ?>
                                    <tr <?php if ($alternate) echo "class=\"alternate\""; ?> >
                                      <td style="vertical-align: middle;">
                                        <input onchange="updateHandler(this);" type="radio" id="<?php echo LONGTAIL_KEY . "default_" . $player; ?>" name="<?php echo LONGTAIL_KEY . "default"; ?>" value="<?php echo $player; ?>" <?php checked($player, get_option(LONGTAIL_KEY . "default")); ?>/>
                                      </td>
                                      <td style="vertical-align: middle;"><span><?php echo $player ?></span></td>
                                      <?php foreach (array_keys($details) as $detail) { ?>
                                        <?php foreach($details[$detail] as $fvar) { ?>
                                          <td style="vertical-align: middle;"><span><?php echo $fvar->getDefaultValue() ? $fvar->getDefaultValue() : "default"; ?></span></td>
                                        <?php } ?>
                                      <?php } ?>
                                      <td>
                                        <input class="button-secondary action" id="<?php echo LONGTAIL_KEY . "player_" . $player; ?>" type="submit" name="Next" value="<?php _e("کپی", 'jw-player-plugin-for-wordpress'); ?>" onclick="copyHandler(this)"/>
                                        <input class="button-secondary action" id="<?php echo LONGTAIL_KEY . "player_" . $player; ?>" type="submit" name="Next" value="<?php _e("ویرایش", 'jw-player-plugin-for-wordpress'); ?>" onclick="selectionHandler(this)"/>
                                        <input class="button-secondary action" id="<?php echo LONGTAIL_KEY . "player_" . $player; ?>" type="submit" name="Next" value="<?php _e("حذف", 'jw-player-plugin-for-wordpress'); ?>" onclick="return deleteHandler(this)"/>
                                      </td>
                                    </tr>
                                  <?php } ?>
                                <?php } ?>
                              <?php } ?>
                            </tbody>
                          </table>
                          <br/>
                          <input class="button-secondary action" type="submit" name="Next" value="<?php _e("ساخت پخش کننده دلخواه", 'jw-player-plugin-for-wordpress'); ?>"/>
                          <input id="<?php echo LONGTAIL_KEY . "new_player"; ?>" type="hidden" name="<?php echo LONGTAIL_KEY . "new_player"; ?>" value=""/>
                          <input id="<?php echo LONGTAIL_KEY . "player"; ?>" type="hidden" name="<?php echo LONGTAIL_KEY . "config" ?>" value=""/>
                          <input type="hidden" name="<?php echo LONGTAIL_KEY . "state" ?>" value=<?php echo PlayerState::getID(); ?> />
                        </div>
                      </td>
                    </tr>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <?php
  }

}
?>
