<?php

if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('شما اجازه ندارید که این برگه را به طور مستقیم نام گذاری کنید.'); }

if (isset($_POST['Uninstall'])) {
  uninstall();
} else {
  if (isset($_POST["category_config"])) update_option(LONGTAIL_KEY . "category_mode", $_POST["category_config"]);
  if (isset($_POST["search_config"])) update_option(LONGTAIL_KEY . "search_mode", $_POST["search_config"]);
  if (isset($_POST["tag_config"])) update_option(LONGTAIL_KEY . "tag_mode", $_POST["tag_config"]);
  if (isset($_POST["home_config"])) update_option(LONGTAIL_KEY . "home_mode", $_POST["home_config"]);

  if (isset($_POST["player_location_enable"])) update_option(LONGTAIL_KEY . "player_location_enable", $_POST["player_location_enable"]);
  if (isset($_POST["player_location"])) update_option(LONGTAIL_KEY . "player_location", $_POST["player_location"]);
  if (isset($_POST["player_mode"])) update_option(LONGTAIL_KEY . "player_mode", $_POST["player_mode"]);

  if (isset($_POST["image_duration"])) update_option(LONGTAIL_KEY . "image_duration", $_POST["image_duration"]);
  if (isset($_POST["image_insert"])) update_option(LONGTAIL_KEY . "image_insert", $_POST["image_insert"]);
  if (isset($_POST["facebook"])) update_option(LONGTAIL_KEY . "facebook", $_POST["facebook"]);

  if (isset($_POST["ssl"])) update_option(LONGTAIL_KEY . "use_ssl", $_POST["ssl"]);
  if (isset($_POST["head_js"])) update_option(LONGTAIL_KEY . "use_head_js", $_POST["head_js"]);
  if (isset($_POST["allow_tracking"])) update_option(LONGTAIL_KEY . "allow_tracking", $_POST["allow_tracking"]);
}

function uninstall() {
  global $wpdb;

  $meta_query = "DELETE FROM $wpdb->postmeta WHERE meta_key LIKE '" . LONGTAIL_KEY . "%';";
  $option_query = "DELETE FROM $wpdb->options WHERE option_name LIKE '" . LONGTAIL_KEY . "%';";
  $post_query = "DELETE FROM $wpdb->posts WHERE post_type = 'jw_playlist';";

  $wpdb->query($meta_query);
  $wpdb->query($option_query);
  $wpdb->query($post_query);

  @unlink(LongTailFramework::getPlayerPath());
  @unlink(LongTailFramework::getEmbedderPath());
  @rmdir(JWPLAYER_FILES_DIR . "/player/");

  $handler = @opendir(JWPLAYER_FILES_DIR . "/configs");
  if ($handler) {
    while ($file = readdir($handler)) {
      if ($file != "." && $file != ".." && strstr($file, ".xml")) {
        @unlink(JWPLAYER_FILES_DIR . "/configs/$file");
      }
    }
    closedir($handler);
  }
  @rmdir(JWPLAYER_FILES_DIR . "/configs/");
  @rmdir(JWPLAYER_FILES_DIR);

  update_option(LONGTAIL_KEY . "uninstalled", true);
  feedback_message(__('پرونده ها و تنظیمات غیرفعال شدند. افزونه حالا می تواند غیرفعال شود.', 'jw-player-plugin-for-wordpress'));
}

function feedback_message ($message, $timeout = 0) { ?>
  <div class="fade updated" id="message" onclick="this.parentNode.removeChild (this)">
    <p><strong><?php echo $message ?></strong></p>
  </div> <?php
}

?>
 
<div class="wrap">
  <h2><?php _e("تنظیمات افزونه پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?></h2>
  <form name="<?php echo LONGTAIL_KEY . "form" ?>" method="post" action="">
    <div id="poststuff">
      <div id="post-body">
        <div id="post-body-content">
          <div class="stuffbox">
            <h3 class="hndle"><span><?php _e("تنظیمات شرت کد", 'jw-player-plugin-for-wordpress'); ?></span></h3>
            <div class="inside" style="margin: 15px;">
              <p><em><?php _e("منبعی را برای نوع هر برگه پیکربندی کنید. این در پوسته شما وابسته است که می تواند هر دو را از <strong>the_content</strong> یا <strong>the_excerpt</strong> بکشد. در صورت تمایل شما می توانید کدهای جاسازی را در یک نوع برگه خاص غیرفعال کنید. این از شرت کد جلوگیری خواهد کرد.", 'jw-player-plugin-for-wordpress'); ?></em></p>
              <table class="form-table">
                <tr valign="top">
                  <th><?php _e("برگه های دسته بندی:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="category_excerpt"><?php _e("چکیده", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="category_excerpt" type="radio" value="excerpt" name="category_config" onclick="form.submit();" <?php checked("excerpt", get_option(LONGTAIL_KEY . "category_mode")); ?> />
                    <label for="category_content"><?php _e("محتوا", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="category_content" type="radio" value="content" name="category_config" onclick="form.submit();" <?php checked("content", get_option(LONGTAIL_KEY . "category_mode")); ?> />
                    <label for="category_disable"><?php _e("غیرفعال کردن", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="category_disable" type="radio" value="disable" name="category_config" onclick="form.submit();" <?php checked("disable", get_option(LONGTAIL_KEY . "category_mode")); ?> />
                    <span class="description"><?php _e("رفتار شرت کد پخش کننده JW را در برگه های ((دسته بندی)) پیکربندی کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr>
                  <th><?php _e("برگه های جستجو:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="search_excerpt"><?php _e("چکیده", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="search_excerpt" type="radio" value="excerpt" name="search_config" onclick="form.submit();" <?php checked("excerpt", get_option(LONGTAIL_KEY . "search_mode")); ?> />
                    <label for="search_content"><?php _e("محتوا", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="search_content" type="radio" value="content" name="search_config" onclick="form.submit();" <?php checked("content", get_option(LONGTAIL_KEY . "search_mode")); ?> />
                    <label for="search_disable"><?php _e("غیرفعال کردنe", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="search_disable" type="radio" value="disable" name="search_config" onclick="form.submit();" <?php checked("disable", get_option(LONGTAIL_KEY . "search_mode")); ?> />
                    <span class="description"><?php _e("رفتار شرت کد پخش کننده JW را در برگه های ((نتایج جستجو)) پیکربندی کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr>
                  <th>Tag Pages:</th>
                  <td>
                    <label for="tag_excerpt"><?php _e("چکیده", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="tag_excerpt" type="radio" value="excerpt" name="tag_config" onclick="form.submit();" <?php checked("excerpt", get_option(LONGTAIL_KEY . "tag_mode")); ?> />
                    <label for="tag_content"><?php _e("محتوا", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="tag_content" type="radio" value="content" name="tag_config" onclick="form.submit();" <?php checked("content", get_option(LONGTAIL_KEY . "tag_mode")); ?> />
                    <label for="tag_disable"><?php _e("غیرفعال کردن", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="tag_disable" type="radio" value="disable" name="tag_config" onclick="form.submit();" <?php checked("disable", get_option(LONGTAIL_KEY . "tag_mode")); ?> />
                    <span class="description"><?php _e("رفتار شرت کد پخش کننده JW را در برگه های ((برچسب)) پیکربندی کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr>
                  <th>Home Page:</th>
                  <td>
                    <label for="home_excerpt"><?php _e("چکیده", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="home_excerpt" type="radio" value="excerpt" name="home_config" onclick="form.submit();" <?php checked("excerpt", get_option(LONGTAIL_KEY . "home_mode")); ?> />
                    <label for="home_content"><?php _e("محتوا", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="home_content" type="radio" value="content" name="home_config" onclick="form.submit();" <?php checked("content", get_option(LONGTAIL_KEY . "home_mode")); ?> />
                    <label for="home_disable"><?php _e("غیرفعال کردن", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="home_disable" type="radio" value="disable" name="home_config" onclick="form.submit();" <?php checked("disable", get_option(LONGTAIL_KEY . "home_mode")); ?> />
                    <span class="description"><?php _e("رفتار شرت کد پخش کننده JW را در ((صفحه اصلی)) پیکربندی کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="poststuff">
      <div id="post-body">
        <div id="post-body-content">
          <div class="stuffbox">
            <h3 class="hndle"><span><?php _e("تنظیمات پخش کننده", 'jw-player-plugin-for-wordpress'); ?></span></h3>
            <div class="inside" style="margin: 15px;">
              <table class="form-table">
                <tr valign="top">
                  <th><?php _e("فعال کردن جایگزین مکان پخش کننده:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="player_location_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="player_location_yes" type="radio" value="1" name="player_location_enable" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "player_location_enable")); ?> />
                    <label for="player_location_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="player_location_no" type="radio" value="0" name="player_location_enable" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "player_location_enable")); ?> />
                    <span class="description"><?php _e("هنگامی که افزونه فعال شده باشد پخش کننده از محل مشخص شده بارگذاری خواهد شد.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("مکان پخش کننده:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <input type="text" id="player_location" name="player_location" value="<?php echo get_option(LONGTAIL_KEY . "player_location"); ?>" onblur="form.submit();" style="width: 300px;"/>
                    <span class="description"><?php _e("مکان پرونده های player.swf و jwplayer.js را که باید از آنجا بارگذاری شوند پیکربندی کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("انتخاب حالت اولیه:", 'jw-player-plugin-for-wordpress') ?></th>
                  <td>
                    <label for="player_mode_yes"><?php _e("فلش", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="player_mode_yes" type="radio" value="flash" name="player_mode" onclick="form.submit();" <?php checked("flash", get_option(LONGTAIL_KEY . "player_mode")); ?> />
                    <label for="player_mode_no"><?php _e("اچ تی ام ال 5", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="player_mode_no" type="radio" value="html5" name="player_mode" onclick="form.submit();" <?php checked("html5", get_option(LONGTAIL_KEY . "player_mode")); ?> />
                    <span class="description"><?php _e("یک حالت ( فلش یا اچ تی ام ال 5 ) را که پخش کننده به طور پیش فرض خواهد بود انتخاب کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="poststuff">
      <div id="post-body">
        <div id="post-body-content">
          <div class="stuffbox">
            <h3 class="hndle"><span><?php _e("تنظیمات محتوا", 'jw-player-plugin-for-wordpress'); ?></span></h3>
            <div class="inside" style="margin: 15px;">
              <table class="form-table">
                <tr valign="top">
                  <th><?php _e("نمایش مدت زمان در تصاویر:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="image_duration_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="image_duration_yes" type="radio" value="1" name="image_duration" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "image_duration")); ?> />
                    <label for="image_duration_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="image_duration_no" type="radio" value="0" name="image_duration" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "image_duration")); ?> />
                    <span class="description"><?php _e("کنترل کنید که زمینه مدت زمان هنگام ویرایش داده های متا برای تصاویر قابل مشاهده باشد.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("نمایش دکمه (( قرار دادن )) در تصاویر:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="image_insert_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="image_insert_yes" type="radio" value="1" name="image_insert" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "image_insert")); ?> />
                    <label for="image_insert_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="image_insert_no" type="radio" value="0" name="image_insert" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "image_insert")); ?> />
                    <span class="description"><?php _e("کنترل کنید که دکمه درج (قرار دادن) هنگام ویرایش داده های متا برای تصاویر قابل مشاهده باشد.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("فعال کردن نمودار داده های باز فیسبوک::", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="facebook_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="facebook_yes" type="radio" value="1" name="facebook" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "facebook")); ?> />
                    <label for="facebook_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="facebook_no" type="radio" value="0" name="facebook" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "facebook")); ?> />
                    <span class="description"><?php _e(" اطلاعات نمودار باز فیسبوک باید داخل برگه برای به اشتراک گذاری در فیسبوک قرار داده شوند یا نه.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="poststuff">
      <div id="post-body">
        <div id="post-body-content">
          <div class="stuffbox">
            <h3 class="hndle"><span><?php _e("تنظیمات سایت", 'jw-player-plugin-for-wordpress'); ?></span></h3>
            <div class="inside" style="margin: 15px;">
              <table class="form-table">
                <tr valign="top">
                  <th><?php _e("استفاده از SSL در هنگام بارگذاری پخش کننده:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="ssl_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="ssl_yes" type="radio" value="1" name="ssl" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "use_ssl")); ?> />
                    <label for="ssl_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="ssl_no" type="radio" value="0" name="ssl" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "use_ssl")); ?> />
                    <span class="description"><?php _e("اگر سایت شما با https است، کنترل کنید که آیا افزونه پخش کننده، تنظیمات و پوسته ها را با استفاده از https بارگذاری می کند.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("بارگذاری jwplayer.js/swfobject.js در بالای صفحه:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="head_js_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="head_js_yes" type="radio" value="1" name="head_js" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "use_head_js")); ?> />
                    <label for="head_js_no"><?php _e("خیر", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="head_js_no" type="radio" value="0" name="head_js" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "use_head_js")); ?> />
                    <span class="description"><?php _e("کنترل کنید که آیا افزونه فایل های jwplayer.js و swfobject.js را در بالای هر برگه قرار خواهد داد.  اگر تنظیم شده است که  jwplayer.js یا swfobject.js فقط در برگه ها قرار داده شوند پس شرت کد jwplayer.js قابل استفاده است.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
                <tr valign="top">
                  <th><?php _e("اجازه ردیابی و تجزیه و تحلیل ناشناس:", 'jw-player-plugin-for-wordpress'); ?></th>
                  <td>
                    <label for="tracking_yes"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="tracking_yes" type="radio" value="1" name="allow_tracking" onclick="form.submit();" <?php checked(true, get_option(LONGTAIL_KEY . "allow_tracking")); ?> />
                    <label for="tracking_no"><?php _e("بله", 'jw-player-plugin-for-wordpress'); ?></label>
                    <input id="tracking_no" type="radio" value="0" name="allow_tracking" onclick="form.submit();" <?php checked(0, get_option(LONGTAIL_KEY . "allow_tracking")); ?> />
                    <span class="description"><?php _e("LongTail Video برای پیگیری و استفاده از ویژگی های افزونه مجاز است. این به ما در این که ویژگی های افزونه را بهبود ببخشیم، کمک خواهد کرد.   <strong>توجه: ردیابی به صورت ناشناس انجام می شود.</strong>", 'jw-player-plugin-for-wordpress'); ?></span>
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="poststuff">
      <div id="post-body">
        <div id="post-body-content">
          <div class="stuffbox">
            <h3 class="hndle"><span><?php _e("حذف", 'jw-player-plugin-for-wordpress'); ?></span></h3>
            <div class="inside" style="margin: 15px;">
              <table>
                <tr valign="top">
                  <td>
                    <div>
                      <p><?php _e('برای حذف کامل پخش کننده، روی دکمه حذف پخش کننده کلیک کنید. غیرفعالسازی بدون حذف کامل افزونه داده هایی را که افزونه ایجاد کرده است را پاک نمی کند.', 'jw-player-plugin-for-wordpress') ;?></p>
                    </div>
                    <p><span style="color: red; "><strong><?php _e('هشدار:', 'jw-player-plugin-for-wordpress') ;?></strong><br />
                    <?php _e('عملکرد برگشت پذیر نیست. از آنجایی که داده در حال حذف از پایگاه داده شما است، این پیشنهاد شده است که شما یک پشتیبان (بکاپ) ایجاد کنید.', 'jw-player-plugin-for-wordpress') ;?></span></p>
                    <div align="left">
                      <input type="submit" name="حذف پخش کننده" class="button-secondary delete" value="<?php _e('حذف افزونه', 'jw-player-plugin-for-wordpress') ?>" onclick="return confirm('<?php _e('شما می خواهید که این افزونه را از وردپرس پاک کنید.\\n
این عمل برگشت پذیر نیست.\\n
\\n
برای متوقف کردن (لغو) و برای پاک کردن (بسیارخوب) را انتخاب کنید.\\n', 'jw-player-plugin-for-wordpress'); ?>');"/>
                    </div>
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>