<?php
if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('شما اجازه ندارید که این برگه را به طور مستقیم نام گذاری کنید.'); }

// JWP6_MIGRATION
if ( isset($_POST['migrate_to_jwp6']) ) {
  JWP6_Migrate::migrate();
}

define("DOWNLOAD_ERROR", "دریافت ناموفق بود.");
define("WRITE_ERROR", "نوشتن ناموفق");
define("READ_ERROR", "خواندن ناموفق");
define("ZIP_ERROR", "کلاس های zip گم شده");
define("SUCCESS", "باموفقیت انجام شد.");

?>

<div class="wrap">

<?php

// JWP6_MIGRATION
if ( isset($_GET[JWP6 . 'hide_migration_notice']) ) {
  JWP6_Migrate::hide_migration_notice();
}

if (isset($_POST["Non_commercial"]) || isset($_POST["Install"])) {
  download_state();
} else if (isset($_POST["Commercial"])) {
  upload_state();
} else {
  default_state();
}

function unpack_player_archive($player_package) {

  if (!class_exists("ZipArchive")) {
    return zip_fallback($player_package);
  }

  $zip = new ZipArchive();
  if ($zip->open($player_package)) {
    $contents = "";
    $dir = $zip->getNameIndex(0);
    $fp = $zip->getStream($dir . "player.swf");
    if (!$fp) return READ_ERROR;
    while(!feof($fp)) {
      $contents .= fread($fp, 2);
    }
    fclose($fp);
    $result = @file_put_contents(LongTailFramework::getPrimaryPlayerPath(), $contents);
    if (!$result) {
      return WRITE_ERROR;
    }
    chmod(LongTailFramework::getPrimaryPlayerPath(), 0755);
    $contents = "";
    $fp = $zip->getStream($dir . "yt.swf");
    if ($fp) {
      while (!feof($fp)) {
        $contents .= fread($fp, 2);
      }
      fclose($fp);
      $result = @file_put_contents(str_replace("player.swf", "yt.swf", LongTailFramework::getPrimaryPlayerPath()), $contents);
      if (!$result) {
        return WRITE_ERROR;
      }
      chmod(str_replace("player.swf", "yt.swf", LongTailFramework::getPrimaryPlayerPath()), 0755);
    }
    $fp = $zip->getStream($dir . "jwplayer.js");
    if ($fp) {
      $contents = "";
      while (!feof($fp)) {
        $contents .= fread($fp, 2);
      }
      fclose($fp);
      $result = @file_put_contents(LongTailFramework::getEmbedderPath(), $contents);
      if (!$result) {
        return WRITE_ERROR;
      }
      chmod(LongTailFramework::getEmbedderPath(), 0755);
    }
    $zip->close();
  }

  unlink($player_package);
  return SUCCESS;
}

function zip_fallback($player_package) {
  $player_found = false;
  require_once(ABSPATH . 'wp-admin/includes/class-pclzip.php');
  $zip = new PclZip($player_package);
  $archive_files = $zip->extract(PCLZIP_OPT_EXTRACT_AS_STRING);
  $dir = $archive_files[0]["filename"];
  foreach($archive_files as $file) {
    $result = true;
    if ($file["filename"] == $dir . "player.swf" || $file["filename"] == $dir . "player-licensed.swf") {
      $result = @file_put_contents(LongTailFramework::getPrimaryPlayerPath(), $file["content"]);
      if (!$result) {
        return WRITE_ERROR;
      }
      $player_found = true;
    } else if ($file["filename"] == $dir . "yt.swf") {
      $result = @file_put_contents(str_replace("player.swf", "yt.swf", LongTailFramework::getPrimaryPlayerPath()), $file["content"]);
      if (!$result) {
        return WRITE_ERROR;
      }
    } else if ($file["filename"] == $dir . "jwplayer.js") {
      $result = @file_put_contents(LongTailFramework::getEmbedderPath(), $file["content"]);
      if (!$result) {
         return WRITE_ERROR;
      }
    }
  }
  if ($player_found) {
    unlink($player_package);
    return SUCCESS;
  }
  return ZIP_ERROR;
}

function player_download() {  
  $player_package = download_url("http://www.longtailvideo.com/wp/jwplayer.zip");
  if (is_wp_error($player_package)) {
    return DOWNLOAD_ERROR;
  }
  return unpack_player_archive($player_package);
}

function player_upload() {
  return unpack_player_archive($_FILES["file"]["tmp_name"]);
}

function default_state() { ?>
  <h2><?php _e("پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?></h2>
  <p/>
  <div id="poststuff">
  <?php
  // JWP6_MIGRATION
  JWP6_Migrate::migrate_section();
  // Please upgrade to JWP6!
  //upload_section();
  //download_section();
  ?>
  </div>
  <?php
}

function download_state() { ?>
  <h2><?php _e("نصب پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?></h2>
  <p/>
  <?php
  $result = player_download();
  if ($result == SUCCESS) { ?>
  <div id="info" class="fade updated">
    <p><strong><span id="player_version"><?php _e("آخرین نسخه پخش کننده JW با موفقیت دریافت و نصب شد. ", 'jw-player-plugin-for-wordpress'); ?></span></strong></p>
    <p><?php _e("اگر شما یک نسخه خاص از پخش کننده JW را دارید و شما مایل به نصب (برای مثال نسخه مجاز) هستید، سپس شما می توانید آن را با استفاده از <a href='admin.php?page=jwplayer-update'>برگه بروزرسانی</a> نصب کنید.", 'jw-player-plugin-for-wordpress'); ?></p>
  </div>
  <form name="<?php echo LONGTAIL_KEY . "form"; ?>" method="post" action="">
    <table class="form-table">
      <tr>
        <td colspan="2">
          <?php embed_demo_player(true); ?>
        </td>
      </tr>
    </table>
  </form>
  <?php } else if ($result == DOWNLOAD_ERROR) {
    error_message(sprintf(__("قادر به دریافت پخش کننده JW نیست. لطفا وصل بودن اینترنت خود را بررسی کنید. <br/>اگز در حال حاظر شما پخش کننده JW را دارید، می توانید آن را با استفاده از <a href='admin.php?page=jwplayer-update'>برگه بروزرسانی</a> نصب کنید.<br/>     به این ترتیب ممکن است شما فایل های پخش کننده را مستقیما به سایتتان انتقال دهید. فایل های player.swf و jwplayer.js را در دایرکتوری %s/player/ قرار دهید.<br/> ", 'jw-player-plugin-for-wordpress'), JWPLAYER_FILES_DIR) . JW_FILE_PERMISSIONS);
  } else if ($result == WRITE_ERROR) {
    error_message(sprintf(__("قادر به نصب پخش کننده JW نیست.    لطفا اطمینان حاصل کنید که دایرکتوری %s/player/ وجود دارد (و قابل نوشتن است) و سپس <a href='admin.php?page=jwplayer-update'>برگه بروزرسانی</a> را مشاهده کنید. <br/>به این ترتیب ممکن است شما فایل های player.swf و jwplayer.js را مستقیما به سایتتان انتقال دهید.", 'jw-player-plugin-for-wordpress'), JWPLAYER_FILES_DIR) . JW_FILE_PERMISSIONS);
  } else if ($result == ZIP_ERROR) {
    error_message(sprintf(__("کلاس های zip لازم گم شده اند. لطفا پخش کننده را به صورت دستی انتقال دهید.  <br/>لطفا این دو فایل را در اینجا قرار دهید: %s/player/ : player.swf و jwplayer.js.", 'jw-player-plugin-for-wordpress'), JWPLAYER_FILES_DIR));
  } else if ($result == READ_ERROR) {
    error_message(sprintf(__("نمی تواند player.swf یا jwplayer.js را پیدا کند. در هر صورت آنها وجود ندارند و یا بایگانی نامعتبر است.<br/>\n
متناوبا ممکن است شما پرونده های پخش کننده را مستقیما به سایتتان انتقال داده باشید. مکان player.swf و jwplayer.js در %s/player/ است.", 'jw-player-plugin-for-wordpress'), JWPLAYER_FILES_DIR));
  }
}

function upload_state() { ?>
  <h2><?php _e("نصب پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?></h2>
  <p/>
  <?php $result = player_upload() ?>
  <?php if ($result == SUCCESS) { ?>
  <div id="info" class="fade updated" style="display: none;">
    <p><strong><span id="player_version"><?php _e("پخش کننده شما با موفقیت نصب شد، پخش کننده JW ", 'jw-player-plugin-for-wordpress'); ?></span></strong></p>
  </div>
  <div id="error" class="error fade" style="display: none;">
    <p><strong><?php _e("پخش کننده JW شناسایی نشد.", 'jw-player-plugin-for-wordpress'); ?></strong></p>
  </div>
  <form name="<?php echo LONGTAIL_KEY . "form"; ?>" method="post" action="">
    <table class="form-table">
      <tr>
        <td colspan="2">
          <?php embed_demo_player(); ?>
        </td>
      </tr>
    </table>
  </form>
  <?php } else if ($result == WRITE_ERROR) {
    error_message(sprintf(__("قادر به نصب پخش کننده JW نیست.     لطفا اطمینان حاصل کنید که دایرکتوری %s وجود دارد (و قابل نوشتن است) و سپس <a href='admin.php?page=jwplayer-update'>برگه بروزرسانی</a> را مشاهده نمایید.", 'jw-player-plugin-for-wordpress'), LongTailFramework::getPlayerPath()) . JW_FILE_PERMISSIONS);
    default_state();
  } else if ($result == ZIP_ERROR) {
    error_message(__("کلاس های zip لازم گم شده اند. لطفا به جای استفاده از <a href='admin.php?page=jwplayer-update'>برگه بروزرسانی</a> پخش کننده را به صورت دستی بارگذاری نمایید.", 'jw-player-plugin-for-wordpress'));
    default_state();
  } else if ($result == READ_ERROR) {
    error_message(__("نمی تواند player.swf یا yt.swf را پیدا کند. در هر صورت آن ها وجود ندارند و یا بایگانی نامعتبر است.", 'jw-player-plugin-for-wordpress'));
    default_state();
  } else {
    error_message(__("آرشیو زیپ معتبر نیست.", 'jw-player-plugin-for-wordpress'));
    default_state();
  }
}

function error_message($message) { ?>
  <div id="error" class="error fade">
    <p><strong><?php echo $message; ?></strong></p>
  </div> <?php
}

function embed_demo_player($download = false) {
  $atts = array(
    "file" => "http://content.longtailvideo.com/videos/bunny.flv",
    "image" => "http://content.longtailvideo.com/videos/bunny.jpg",
    "id" => "jwplayer-1"
  );
  wp_print_scripts('swfobject');
  $swf = LongTailFramework::generateSWFObject($atts, false); ?>
  <script type="text/javascript">
    var player, t;

    jQuery(document).ready(function() {
      t = setTimeout(playerNotReady, 2000);
    });

    function playerNotReady() {
      var data = {
        action: "verify_player",
        version: null,
        type: <?php echo (int) $download; ?>
      };
      document.getElementById("version").value = null;
      document.getElementById("type").value = <?php echo (int) $download; ?>;
      jQuery.post(ajaxurl, data, function(response) {
        var download = <?php echo (int) $download; ?>;
        if (!download) {
          document.getElementById("error").style.display = "block";
        }
      });
    }

    function playerReady(object) {
      player = document.getElementById(object.id);
      var data = {
        action: "verify_player",
        version: player.getConfig().version,
        type: <?php echo (int) $download; ?>
      };
      clearTimeout(t);
      document.getElementById("version").value = player.getConfig().version;
      document.getElementById("type").value = <?php echo (int) $download; ?>;
      jQuery.post(ajaxurl, data, function(response) {
        var download = <?php echo (int) $download; ?>;
        if (!download) {
          document.getElementById("error").style.display = "none";
          document.getElementById("info").style.display = "block";
        }
        document.getElementById("player_version").innerHTML = document.getElementById("player_version").innerHTML + player.getConfig().version;
      });
    }
  </script>
  <?php echo $swf->generateEmbedScript(); ?>
  <input id="type" class="hidden" type="text" name="نوع" />
  <input id="version" class="hidden" type="text" name="نسخه" />
<?php }

function upload_section() { ?>
  <form name="<?php echo LONGTAIL_KEY . "form"; ?>" method="post" action="" enctype="multipart/form-data" onsubmit="return fileValidation();">
    <div id="post-body">
      <div id="post-body-content">
        <div class="stuffbox">
          <h3 class="hndle"><span><?php echo "بروزرسانی دستی"; ?></span></h3>
          <div class="inside" style="margin: 10px;">
            <script type="text/javascript">
              function fileValidation() {
                var file = document.getElementById("file").value;
                var extension = file.substring(file.length - 4, file.length);
                if (extension === ".zip") {
                  return true;
                } else {
                  alert("File must be a Zip.");
                  return false;
                }
              }
            </script>
            <table class="form-table">
              <tr>
                <td colspan="2">
                  <p>
                    <span><?php printf(__("بسته zip خود را بارگذاری کنید. از این برای بروزرسانی به نسخه مجاز یا نصب یک نسخه مخصوص استفاده کنید. برای به دست آوردن یک پخش کننده مجاز، لطفا یک مجوز از: <a href=\"https://www.longtailvideo.com/order/%s\" target=_blank>LongTail Video</a> بخرید.", 'jw-player-plugin-for-wordpress'), JW_PLAYER_GA_VARS); ?></span>
                  </p>
                  <p>
                    <label for="file"><?php _("نصب پخش کننده JW:"); ?></label>
                    <input id="file" type="file" name="file" />
                    <input class="button-secondary" type="submit" name="Commercial" value="<?php _e("بارگذاری", 'jw-player-plugin-for-wordpress'); ?>" />
                  </p>
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
  </form>
<?php }

function download_section() { ?>
  <form name="<?php echo LONGTAIL_KEY . "form"; ?>" method="post" action="">
    <div id="post-body">
      <div id="post-body-content">
        <div class="stuffbox">
          <h3 class="hndle"><span><?php _e("بروزرسانی خودکار", 'jw-player-plugin-for-wordpress'); ?></span></h3>
          <div class="inside" style="margin: 10px;">
            <table class="form-table">
              <tr>
                <td colspan="2">
                  <p>
                    <span><?php _e("آخرین نسخه غیر تجاری پخش کننده JW را برای وب سرور خود به طور خودکار دریافت کنید.", 'jw-player-plugin-for-wordpress'); ?></span>
                  </p>
                  <p>
                    <input class="button-secondary" type="submit" name="Non_commercial" value="<?php _e("نصب آخرین پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?>" />
                  </p>
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
  </form>
<?php } ?>

</div>
