<?php


class JWP6_Admin_Page_Import extends JWP6_Admin_Page {

    public function __construct() {
        parent::__construct();
    }

    public function render() {
        global $jwp6_admin;
        $purged = get_option(JWP6 . 'jwp5_purged');
        if ($jwp6_admin->previous_version && $jwp6_admin->previous_version < 6 && ! $purged ) {
            return $this->do_render();
        }
        return $this->do_not_render();
    }

    public function do_not_render() {
        return '';
    }

    public function do_render() {
        $this->render_page_start('بازگشت به نسخه 5');
        $this->render_all_messages();

        ?>
        <p>
            این به شما اجازه می دهد که به نسخه 5 برگردید.
        </p>
        <div class="spacing"></div>
        <p>
            سایت وردپرسی شما در حال حاضر از نسخه 6، یعنی آخرین نسخه استفاده می کند. متأسفانه، همه قابلیت های نسخه 5 که قبلا مورد استفاده قرار می گرفتند در نسخه 6 پیشنها نشده اند. قابل توجه ترین آن ها کتابخانه پوسته ها و افزونه ها و پخش تصاویر هستند. برای یک لیست کامل اینجا را ببینید:<a href="<?php echo JWP6_Plugin::$urls['migration_guide']; ?>">ارتقا وردپرس از نسخه 5 پخش کننده به نسخه 6</a>.
        </p>
        <p>
            اگر شما یک ویژگی مهم را در نسخه 6 کشف یا گم کرده اید در اینجا شما می توانید به نسخه 5 برگردید. همه تنظیمات قبلی و گزینه ها برگردانده خواهند شد (قرار دادن گزینه برای بروزرسانی به نسخه 6).
        </p>
        <div class="spacing"></div>
        <p>
            <a href="<?php echo JWP6_PLUGIN_URL . "jwp6-import.php?a=revert"; ?>" class="button" id="revertjwp5button">
                بازگشت به نسخه 5 افزونه پخش کننده JW
            </a>
        </p>
        <div class="spacing"></div>
        <p class="description">
            توجه داشته باشید که افزونه پخش کننده برای وردپرس دیگر از بروزرسانی های نسخه 5 (تجاری) پشتیبانی نمی کند. شما باید افزونه را به نسخه 6 بروزرسانی کنید.
        </p>

        <script type="text/javascript">
        jQuery(function(){
            jQuery('#revertjwp5button').bind('click', function (e) {
                var c = confirm(
                    'لطفا توجه کنید:\n\n' +
                    '1. پخش کننده چیزهایی را به جای مشکلاتی که بعد از بازگرداندن به وجود آمده اند، جایگزین می کند و آن ها را حل می کند.\n' +
                    '2. تمام تنظیمات برای نسخه 6 افزونه حذف خواهند شد.\n'
                );
                if (!c) {
                    return false;
                }
            });
        });
        </script>
        <?php
        $this->render_page_end();
    }

}
