<?php

// Utility class that holds accessible settings and methods.
class JWP6_Plugin {

    public static $player_version = '6.5';

    public static $cdn_http_player = 'http://p.jwpcdn.com/6/5/jwplayer.js';

    public static $cdn_https_player = 'https://ssl.p.jwpcdn.com/6/5/jwplayer.js';

    public static $default_image = 'img/default-image.png';

    public static $ping_image = "http://i.n.jwpltx.com/v1/wordpress/ping.gif";

    public static $urls = array(
        'mail_support'      => "mailto:wordpress@longtailvideo.com",
        'forums'            => "http://www.longtailvideo.com/support/forums/jw-player/",
        'player_docs'       => "http://www.longtailvideo.com/support/jw-player/",
        'player_download'   => "http://www.longtailvideo.com/jw-player/download/",
        'player_pricing'    => "http://www.longtailvideo.com/jw-player/pricing/",
        'migration_guide'   => "http://google.com/",
    );

    public static $license_versions = array(
        'رایگان',
        'حرفه ای',
        'ویژه',
        'تبلیغات'
    );

    public static $player_options = array(
        // BASIC SETTINGS
        'aspectratio' => array(
            'options' => array(
                'NULL' => 'اندازه ثابت (جوابگو نیست).',
                '16:9' => '16:9 - صفحه نمایش گسترده (عریض)',
                '8:5' => '16:10 - صفحه نمایش مانیتور',
                '4:3' => '4:3 - تلویزیون کلاسیک',
                '3:2' => '3:2 - دوربین عکاسی',
                '1:1' => '1:1 - مربع',
                '2.4:1' => '2.4:1 - حوزه سینما',
                //'9:16' => 'Responsive 16:9 - Portrait video',
            ),
            'default' => 'NULL',
            'discard_if_default' => true,
            'help_text' => 'برای اطمینان از پخش کننده خود یک اندازه را انتخاب کنید و همیشه از آن استفاده کنید یا از گزینه های دیگر استفاده کنید تا پخش کننده جوابگو باشد. در این مورد پخش کننده از عرض کامل استفاده خواهد کرد. شما باید ارتفاع را برطبق این مقیاس مشخص کنید.',
        ),

        // LAYOUT
        'controls' => array(
            'options' => false,
            'default' => true,
            'discard_if_default' => true,
            'help_text' => 'برای این که کنترل های ویدئو ( نوار کنترل، ایکون ها و ... ) نمایش داده شوند، گزینه بالا را انتخاب کنید.',
            'text' => 'نمایش کنترل های پخش کننده',
        ),
        'stretching' => array(
            'options' => array(
                'none' => 'نگه داشتن ابعاد اصلی',
                'exactfit' => 'کشش نامناسب',
                'uniform' => 'کشش متناسب ( حاشیه های سیاه )',
                'fill' => 'کشش متناسب ( بخش های برش )',
            ),
            'default' => 'uniform',
            'discard_if_default' => true,
            'help_text' => 'چگونه اندازه پوستر و ویدئو را به تناسب صفحه نمایش تغییر دهیم؟',
        ),
        'skin' => array(
            'options' => array( 
                'NULL' => 'Six (پیش فرض)',
                'beelden' => 'Beelden',
                'bekle' => 'Bekle', 
                'five' => 'Five', 
                'glow' => 'Glow',
                'modieus' => 'Modieus',
                'roundster' => 'Roundster',
                'stormtrooper' => 'Stormtrooper',
                'vapor' => 'Vapor',
            ),
            'default' => null,
            'discard_if_default' => true,
            'licenses' => array('pro', 'premium', 'ads'),
        ),

        // PLAYBACK
        'autostart' => array(
            'options' => false,
            'default' => false,
            'help_text' => 'ویدئو به طور خودکار در برگه بارگذاری شروع به پخش کند. شروع خودکار در تلفن های همراه مانند (IOS) یا اندروید کار نمی کنید.',
            'text' => 'شروع به پخش بلافاصله',
            'discard_if_default' => true,
        ),
        'fallback' => array(
            'options' => false,
            'default' => true,
            'help_text' => 'اگر HTML5 و یا فلش پشتیبانی نشدند یک لینک دانلود خوب برای ویدئو ارائه شود.',
            'text' => 'اگر HTML5 و فلش پشتیبانی نشدند یک لینک دانلود خوب ارائه شود.',
            'discard_if_default' => true,
        ),
        'mute' => array(
            'options' => false,
            'default' => false,
            'help_text' => 'صدای پخش کننده در هنگام شروع قطع شود یا نه؟',  
            'text' => 'قطع کردن صدای پخش کننده در هنگام شروع',
            'discard_if_default' => true,
        ),
        'primary' => array(
            'options' => array('HTML5', 'فلش'),
            'default' => 'فلش',
            'help_text' => 'برای ارائه یک پخش کننده خوب یکی از گزینه های بالا را انتخاب کنید.',
            'discard_if_default' => false,
        ),
        'repeat' => array(
            'options' => false,
            'default' => false,
            'help_text' => 'برای پخش حلقه از لیست پخش استفاده شود یا نه؟', 
            'text' => 'حلقه کردن باز پخش از ویدئو/لیست پخش شما.',
            'discard_if_default' => true,
        ),

        // LISTBAR
        'listbar' =>  array(
            'not_if' => array('position' => 'none'),
        ),
        'listbar__position' => array(
            'options' => array(
                'none' => 'ستون فهرست را نشان نده',
                'bottom' => 'نمایش ستون فهرست در زیر پخش کننده',
                'right' => 'نمایش ستون فهرست در سمت راست پخش کننده',
            ),
            'default' => 'none',
            'discard_if_default' => false,
            'help_text' => 'مکان ستون فهرست نسبت به نمایش ویدئو. شما می توانید این گزینه ها را انتخاب کنید: ((ستون فهرست را نشان نده))، ((نمایش ستون فهرست در زیر پخش کننده)) و ((نمایش ستون فهرست در سمت راست پخش کننده)).'
        ),
        'listbar__size' => array(
            'default' => 180,
            'discard_if_default' => true,
            'help_text' => 'در اینجا می توانید عرض ستون فهرست ((در صورتی که مکان ستون فهرست در سمت راست است)) و ارتفاع ستون فهرست ((در صورتی که مکان ستون فهرست در سمت راست است)) را وارد کنید. لطفا عدد را در اندازه پیکسل وارد کنید.',
        ),

        // LOGO
        'logo' => array (
            'licenses' => array('pro', 'premium', 'ads'),
            'not_if' => array('file' => ''),
        ),
        'logo__file' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'default' => '',
            'discard_if_default' => true,
            'help_text' => 'مکان یک تصویر JPG, PNG یا GIF خارجی که به عنوان واترمارک استفاده می شود(برای مثال /assets/logo.png). از آنجایی که آن ها به سادگی با ویدئو مخلوط می شوند، ما پیشنهاد می کنیم از تصاویر PNG 24 بیت همراه با شفافیت استفاده کنید.',
        ),
        'logo__hide' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'options' => false,
            'default' => false,
            'help_text' => 'به طور پیش فرض(نادرست)، همیشه قابل مشاهده باقی می ماند. هنگامی که این گزینه درست تنظیم شود، لوگو به طور خودکار در طول کنترل ها با پخش کننده های دیگر پنهان و نمایش داده خواهد شد.',
            'text' => 'پنهان کردن لوگو در طول پخش.',
            'discard_if_default' => false,
        ),
        'logo__link' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'default' => 'http://www.longtailvideo.com/jw-player/learn-more/',
            'discard_if_default' => true,
            'help_text' => 'آدرس HTTP برای رفتن به هنگامی که روی تصویر واترمارک کلیک می شود(برای مثال: http://example.com/)',
        ),
        'logo__margin' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'default' => 8,
            'help_text' => 'فاصله ی لوگو از لبه های صفحه نمایش. به طور پیش فرض 8 پیکسل است.',
            'discard_if_default' => true,
        ),
        'logo__position' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'options' => array('top-right', 'top-left', 'bottom-right', 'bottom-left', ),
            'default' => 'top-right',
            'help_text' => 'این مجموعه ها در گوشه ای که در آن واترمارک نمایش داده می شود، استفاده می شود. توجه کنید از آنجایی که لوگو با دکمه های ستون کنترل، نوشتن شرح تصاویر، روکش تبلیغات و بارانداز تداخل ایجاد نمی کند، مکان پیش فرض (بالا-راست) ترجیح داده می شود، ',
            'discard_if_default' => true,
        ),

        // RIGHTCLICK
        // 'abouttext' => array(
        //     'licenses' => array('pro', 'premium', 'ads'),
        //     'default' => '',
        //     'discard_if_default' => true,
        //     'help_text' => 'متن برای نمایش در منو راست کلیک. به طور پیش فرض پخش کننده JW نسخه 6.x.xxx است.',
        // ),

        'aboutlink' => array(
            'licenses' => array('pro', 'premium', 'ads'),
            'default' => '',
            'discard_if_default' => true,
            'help_text' => 'آدرس لینک هنگامی که روی منو راست کلیک می شود. آدرس پیش فرض: http://www.longtailvideo.com/jw-player/learn-more است.',
        ),

        // Google Analytics 

        'ga' => array (
            'licenses' => array('premium', 'ads'),
            'options' => false,
            'default' => false,
            'discard_if_default' => true,
            'embedval' => '{}',
            'text' => 'فعال کردن گوگل آنالیز برای پخش کننده JW',
            'help_text' => 'لطفا توجه داشته باشید که به منظور کار کردن گوگل آنالیز برایتان باید آن را در وردپرس نصب کرده باشید.',
        ),

        // Sharing

        'sharing' => array (
            'licenses' => array('premium', 'ads'),
            'options' => false,
            'default' => false,
            'embedval' => '{}',
            'discard_if_default' => true,
            'text' => 'فعال کردن به اشتراک گذاری برای این پخش کننده',
            'help_text' => 'هنگامی که پخش کننده فعال شد، گزینه های به اشتراک گذاری نمایش داده خواهند شد که سپس به برگه فعلی پیوند داده می شود.',
        ),

        // Advertising

        'advertising' => array (
            'licenses' => array('ads'),
            'not_if' => array('client' => null),
        ),

        'advertising__client' => array(
            'licenses' => array('ads'),
            'options' => array(
                'NULL' => 'بدون مشتری تبلیغاتی',
                'vast' => 'پوسته تبلیغ ویدئویی و خدماتی (VAST)',
                'googima' => 'تبلیغات رسانه ای تعاملی گوگل (IMA)',
            ),
            'default' => null,
            'discard_if_default' => true,
        ),

        'advertising__tag' => array(
            'licenses' => array('ads'),
            'default' => '',
            'discard_if_default' => true,
            'help_text' => 'این برچسب به طور خودکار به عنوان یک برچسب قبل از رول به ویدئو اصلی برنامه ریزی شده است.',
        ),

        // Deprecated but supported for backwards compatibility
        'streamer' => array(
            'default' => '',
            'discard_if_default' => true,
        ),

    );

    public static $supported_video_extensions = array(
        'mp4', 'm4v', 'mov',
    );

    public static $supported_image_extensions = array(
        'png', 'jpg', 'jpeg',
    );

    public function __construct() {
    }

    public static function activate_plugin() {
        // Add the default player
        $default_player = new JWP6_Player();
        $default_player->save();

        // Set default option for tracking
        add_option(JWP6 . 'allow_anonymous_tracking', true, '', true);
    }

    public static function deactivate_plugin() {
        $purge = get_option(JWP6 . 'purge_settings_at_deactivation');
        if ( $purge ) {
            JWP6_Plugin::purge_settings(true);
        }
    }

    public static function purge_settings($purge_jwp5_settings_too = false) {
        if ( $purge_jwp5_settings_too && ! get_option(JWP6 . 'jwp5_purged') ) {
            JWP6_Legacy::purge_jwp5_settings();
        }
        global $wpdb;
        $meta_query = "DELETE FROM $wpdb->postmeta WHERE meta_key LIKE '" . JWP6 . "%';";
        $option_query = "DELETE FROM $wpdb->options WHERE option_name LIKE '" . JWP6 . "%'";
        $wpdb->query($meta_query);
        $wpdb->query($option_query);
    }

    public static function player_license_version() {
        $license_version = get_option(JWP6 . 'license_version');
        return ( $license_version && in_array($license_version, JWP6_Plugin::$license_versions) ) ? $license_version : "free";
    }

    public static function player_url() {
        if ( JWP6_PLAYER_LOCATION ) {
            return JWP6_PLAYER_LOCATION;
        }
        return ( is_ssl() ) ? JWP6_Plugin::$cdn_https_player : JWP6_Plugin::$cdn_http_player;
    }

    public static function player_license_key() {
        $key = get_option(JWP6 . 'license_key');
        return ( $key ) ? $key : null;
    }

    public static function playlist_url($id) {
        return get_option('siteurl') . '/' . 'index.php?jwp6=rss&id=' . $id;
    }

    public static function playlist_object($id) {
        $playlist = get_post($id);
        if ($playlist) {
          $playlist_items = explode(",", get_post_meta($id, LONGTAIL_KEY . "playlist_items", true));
        }
        if (is_array ($playlist_items)) {
            $items = array();
            foreach ($playlist_items as $playlist_item_id) {
                $playlist_item = get_post($playlist_item_id);
                $thumbnail = JWP6_Plugin::image_from_mediaid($playlist_item_id);
                $item = array(
                    'title' => $playlist_item->post_title,
                    'sources' => array(array('file' => JWP6_Plugin::url_from_post($playlist_item)),),
                );
                if ( $playlist_item->post_content ) {
                    $item['description'] = $playlist_item->post_content;
                }
                if ( $thumbnail ) {
                    $item['image'] = $thumbnail;
                }
                $items[] = $item;
            }
            return $items;
        }
        return null;
    }

    public static function default_image_url() {
        return JWP6_PLUGIN_URL . JWP6_Plugin::$default_image;
    }

    public static function image_from_mediaid($post_id, $default = false) {
        $thumbinfo = get_post_meta($post_id, LONGTAIL_KEY . "thumbnail", true);
        if ( $thumbinfo && '-1' != $thumbinfo ) {
            // Thumbinfo is either an id or a url;
            if ( is_int($thumbinfo) || ctype_digit($thumbinfo) ) {
                $thumbnail = get_post($thumbinfo);
                if ($thumbnail) {
                    return $thumbnail->guid;
                }
            // It's a url
            } else {
                return $thumbinfo;
            }
        }
        // In version 5 we could have a separate thumburl_setting
        $thumbnail_url = get_post_meta($post_id, LONGTAIL_KEY . "thumbnail_url", true);
        return ( $thumbnail_url ) ? $thumbnail_url : $default;
    }

    public static function url_from_post($post) {
        $url = $post->guid;
        if ( $url ) return $url;
        // if no URL maybe it's rtmp?
        $rtmp = get_post_meta($post->ID, LONGTAIL_KEY . "rtmp", true);
        if ( $rtmp && is_string($rtmp) ) {
            return $rtmp;
        } else if ( $rtmp ) {
            // if no RTMP string, maybe it's jwp5 style rtmp.
            $streamer = get_post_meta($post->ID, LONGTAIL_KEY . "streamer", true);
            $file = get_post_meta($post->ID, LONGTAIL_KEY . "file", true);
            return $streamer . $file;
        }
        // Nothing then...
        return null;
    }

    public static function option_available($option) {
        if ( array_key_exists($option, JWP6_Plugin::$player_options) ) {
            if ( array_key_exists( 'licenses', JWP6_Plugin::$player_options[$option]) ) {
                if ( ! in_array(JWP6_Plugin::player_license_version(), JWP6_Plugin::$player_options[$option]['licenses']) ) {
                    return false;
                }
            }
            return true;
        }
        return false;
    }

    public static function insert_license_key() {
        $key = get_option(JWP6 . 'license_key');
        if ($key || null === JWP6_PLAYER_LOCATION) {
            echo '<script type="text/javascript">';
            if ( $key ) echo "jwplayer.key='$key';";
            if ( null === JWP6_PLAYER_LOCATION ) echo 'jwplayer.defaults = { "ph": 2 };';
            echo '</script>';
        }
    }

    public static function insert_jwp6_load_event() {
        if ( get_option(JWP6 . 'allow_anonymous_tracking') ) {
            ?>

            <script type="text/javascript">
            if (typeof(jwp6AddLoadEvent) == 'undefined') {
                function jwp6AddLoadEvent(func) {
                    var oldonload = window.onload;
                    if (typeof window.onload != 'function') {
                        window.onload = func;
                    } else {
                        window.onload = function() {
                            if (oldonload) {
                                oldonload();
                            }
                            func();
                        }
                    }
                }
            }
            </script>

            <?php
        }
    }

    public static function register_query_vars($query_vars) {
        $query_vars[] = 'jwp6';
        return $query_vars;
    }

    public static function parse_request($wp) {
        if ( array_key_exists('jwp6', $wp->query_vars) && $wp->query_vars['jwp6'] == 'rss' ) {
            require_once (JWP6_PLUGIN_DIR . '/jwp6-playlist.php');
            exit();
        }
    }

    public static function insert_javascript() {
        wp_enqueue_script('jwplayer', JWP6_Plugin::player_url());
    }

    public static function validate_int($value) {
        $intval = intval($value);
        if ( '' . $intval == $value ) {
            return $intval;
        }
        return NULL;
    }

    // NO LONGER IN USE (get_headers is not always enabled, causes support problems.)
    // public static function validate_empty_or_url($value) {
    //     if ( '' === $value ) return $value;
    //     $url = esc_url($value);
    //     if ( get_headers($url) ) {
    //         return $url;
    //     }
    //     return NULL;
    // }
    // Instead this dummy function
    public static function validate_empty_or_url($value) {
        return $value;
    }

    public static function shortcode($shortcode, $content, $tag) {
        $sc = new JWP6_Shortcode($shortcode);
        return $sc->embedcode();
    }

    public static function register_actions() {
        register_activation_hook(JWP6_PLUGIN_FILE, array("JWP6_Plugin", "activate_plugin"));
        register_deactivation_hook(JWP6_PLUGIN_FILE, array("JWP6_Plugin", "deactivate_plugin"));
        if ( ! is_admin() ) {
            JWP6_Shortcode::add_filters();
            add_filter('query_vars', array('JWP6_Plugin', 'register_query_vars'));
            add_action('parse_request',  array('JWP6_Plugin', 'parse_request'), 9 );
            add_action('wp_enqueue_scripts', array('JWP6_Plugin', 'insert_javascript'));
            add_action('wp_head', array('JWP6_Plugin', 'insert_license_key'));
            add_action('wp_head', array('JWP6_Plugin', 'insert_jwp6_load_event'));
        }
    }

}
