<?php

// Include the necessary admin stuff.
require_once('../../../../wp-load.php');
require_once('../../../../wp-admin/includes/admin.php');

// Check for administrator
if ( !current_user_can('administrator') ) {
    exit();
}

// Check for valid action.
$available_actions = array('migrate', 'revert');
if ( ! isset($_GET['a']) || ! in_array($_GET['a'], $available_actions) ) {
    exit('error...');
}

require_once( JWP6_PLUGIN_DIR . '/jwp6-class-plugin.php' );
require_once( JWP6_PLUGIN_DIR . '/jwp6-class-player.php' );
require_once( JWP6_PLUGIN_DIR . '/jwp6-class-legacy.php' );

if ( 'migrate' == $_GET['a'] ) {
    // Create the default player
    $default = new JWP6_Player();
    $default->save();

    // Import various plugin preferences
    JWP6_Legacy::import_jwp5_settings();

    // Import JWP5 player configs
    $players = JWP6_Legacy::import_jwp5_players();
    add_option(JWP6 . 'imported_jwp5_players', $players);

    // Set update message
    $license_page = admin_url('admin.php?page=' . JWP6 . 'menu_licensing');
    $message = "شما باید پخش کننده را به نسخه 6 بروزرسانی کنید. لطفا به یاد داشته باشید که ";
    $message.= "<strong><a href='{$license_page}'>کلید مجوز خود را وارد کنید</a></strong> ";
    $message.= "تا همه ی تنظیمات مخصوص پخش کننده فعال شوند.";
    update_option(JWP6 . 'notification', $message);

    // Redirect to the new overview
    wp_redirect(admin_url('admin.php?page=' . JWP6 . 'menu_import'));
}

if ( 'revert' == $_GET['a'] ) {
    JWP6_Plugin::purge_settings(false);
    add_option(JWP6 . 'plugin_version', $plugin_version, '', 'yes');
    wp_redirect(admin_url('admin.php?page=jwplayer-update'));
}


/*
Disabled. Will be available with future release.
if ( 'purge' == $_GET['a'] ) {
    $ok = JWP6_Legacy::purge_jwp5_settings();
    $message = "تنظیمات و فایل های پخش کننده JW نسخه 5 (افزونه) که اسکریپت دسترسی داده بود از سیستم شما پاک شدند.";
    update_option(JWP6 . 'notification', $message);
    delete_option(JWP6 . 'jwp5_players_imported');
    delete_option(JWP6 . 'jwp5_playlists_imported');
    wp_redirect(admin_url('admin.php?page=' . JWP6 . 'menu'));
}
*/
