<?php

// Include the necessary admin stuff.
require_once('../../../../wp-load.php');
require_once('../../../../wp-admin/includes/admin.php');

if ( !current_user_can('administrator') && !current_user_can('editor') && !current_user_can('contributor') ) {
    exit();
}

//global $wp_version;
define('MEDIA_MANAGER_35', version_compare($wp_version, '3.5', '>=') );

require_once( JWP6_PLUGIN_DIR . '/jwp6-class-plugin.php' );
require_once( JWP6_PLUGIN_DIR . '/jwp6-class-media.php' );
require_once( JWP6_PLUGIN_DIR . '/jwp6-class-shortcode.php' );
$jwp6m = new JWP6_Media();

if ( $_SERVER['REQUEST_METHOD'] === 'POST' ) {
    if ( $_POST[JWP6 . 'mediaid'] || $_POST[JWP6 . 'file'] || $_POST[JWP6 . 'playlistid']) {
        $shortcode = new JWP6_Shortcode();
        media_send_to_editor($shortcode->shortcode());
        exit();
    } else {
        $no_video_error = true;
    }
}
?>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="<?php echo JWP6_PLUGIN_URL; ?>/css/jquery.select2.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="<?php echo JWP6_PLUGIN_URL; ?>/css/jwp6-media.css" type="text/css" media="screen" />
    <script type="text/javascript" src="<?php echo JWP6_Plugin::player_url(); ?>"></script>
    <script type="text/javascript" src="<?php echo includes_url(); ?>js/jquery/jquery.js"></script>
    <script type="text/javascript" src="<?php echo JWP6_PLUGIN_URL; ?>js/jquery.select2.js"></script>
    <script type="text/javascript" src="<?php echo JWP6_PLUGIN_URL; ?>js/jwp6-media.js"></script>
    <?php JWP6_Plugin::insert_license_key(); ?>
    <script type="text/javascript">
    var JWP6_AJAX_URL = "<?php echo JWP6_PLUGIN_URL . 'jwp6-ajax.php'; ?>";
    jQuery(function () {
        jQuery('#player_name, #<?php echo JWP6; ?>mediaid, #<?php echo JWP6; ?>playlistid, #<?php echo JWP6; ?>imageid')
            .select2(jwp6media.SELECT2_SETTINGS)
            .bind('change', jwp6media.preview_player)
        ;
        jwp6media.init_media_wizard();
    });
    </script>
    <title>افزودن یک پخش کننده JW</title>
</head>

<body>

<?php if ( ! MEDIA_MANAGER_35 ): ?>
<ul class="tabs">
    <li>
        <a href="<?php echo admin_url(); ?>media-upload.php">← مدیریت رسانه های وردپرس</a>
    </li>
    <li class="active">
        <a href="">قرار دادن یک پخش کننده</a>
    </li>
</ul>
<?php endif; ?>

<div id="wrapper" class="jwp6-media-tab">

<?php if ( ! MEDIA_MANAGER_35 ): ?>
<h1>ویزارد قرار دادن پخش کننده</h1>
<?php endif; ?>

<?php if ( isset($no_video_error) ): ?>
<div class="notice">
    <strong>لطفا توجه کنید:</strong>
    شما به انتخاب حداقل یک پرونده ویدئو برای قرار دادن یک پخش کننده نیاز دارید!
</div>
<?php endif; ?>

<form method="post" action="<?php echo JWP6_PLUGIN_URL; ?>/jwp6-media-embed.php" name="jwp6_wizard_form" id="jwp6_wizard_form">

<p>
    این ویزارد از رسانه های کتابخانه پرونده های چندرسانه ای شما استفاده می کند، که این بدین معناست که شما باید <em>قبل از</em> این که بتوانید آن را با پخش کننده قرار دهید، 
    <a href="<?php echo admin_url(); ?>media-upload.php">فایل هارا در کتابخانه پرونده های چندرسانه ای بارگذاری کنید.</a>
</p>

<h2>انتخاب پخش کننده شما</h2>
<div class="select">
    <select id="player_name" name="player_name" style="width: 45%;">
        <?php foreach ($jwp6m->players as $player): ?>
        <?php $selected = ( 'default' == $player ) ? 'selected="selected"' : ''; ?>
        <option value="<?php echo $player; ?>"<?php echo $selected; ?>><?php echo $player; ?></option>
        <?php endforeach; ?>
    </select>
</div>
<p class="info">
    پخش کننده ای را که دوست دارید انتخاب کنید. شما می توانید پخش کننده را در برگه زیر اضافه کنید و مدیریت کنید: 
    <a href="">برگه پیکربندی پخش کننده</a>
</p>

<div class="group" id="mediaid_group">
    <h2>انتخاب یک ویدئو</h2>
    <div class="select">
        <select name="<?php echo JWP6; ?>mediaid" id="<?php echo JWP6; ?>mediaid" data-placeholder="انتخاب یک ویدئو..." style="width: 90%;">
            <option value=""></option>
            <?php foreach ($jwp6m->videos() as $attachment): ?>
            <option value="<?php echo $attachment['id']; ?>" title="<?php echo $attachment['url']; ?>"
                data-thumb="<?php echo JWP6_Plugin::image_from_mediaid($attachment['id'], true); ?>">
                <?php echo $attachment['title']; ?> (<?php echo $attachment['name']; ?>)
            </option>
            <?php endforeach; ?>
        </select>
    </div>
    <p class="info">
        شما همچنین می توانید 
        <a href="#file" class="fieldset_toggle">از یک آدرس مستقیم برای پرونده ویدئویتان استفاده کنید</a> 
        یا
        <a href="#playlistid" class="fieldset_toggle">یک لیست پخش را انتخاب کنید</a>.
    </p>
</div>
<div class="group hidden" id="file_group">
    <h2>قرار دادن یک ادرس ویدئو</h2>
    <div class="input">
        <input type="text" name="<?php echo JWP6; ?>file" />
    </div>
    <p class="info">
        شما همچنین می توانید 
        <a href="#mediaid" class="fieldset_toggle">یک ویدئو از کتابخانه پرونده های چندرسانه ای انتخاب کنید</a> 
        یا
        <a href="#playlistid" class="fieldset_toggle">یک لیست پخش را انتخاب کنید</a>.
    </p>
</div>
<div class="group hidden" id="playlistid_group">
    <h2>انتخاب یک لیست پخش</h2>
    <div class="select">
        <select name="<?php echo JWP6; ?>playlistid" id="<?php echo JWP6; ?>playlistid" data-placeholder="انتخاب یک لیست پخش... " style="width: 90%;">
            <option value=""></option>
            <?php foreach ($jwp6m->playlists() as $playlist): ?>
            <option value="<?php echo $playlist->ID; ?>">
                <?php echo $jwp6m->playlist_name_with_info($playlist); ?>
            </option>
            <?php endforeach; ?>
        </select>
    </div>
    <p class="info">
        شما همچنین می توانید 
        <a href="#mediaid" class="fieldset_toggle">یک ویدئو از کتابخانه ی پرونده های چندرسانه ای انتخاب کنید</a> 
        یا
        <a href="#file" class="fieldset_toggle">از یک آدرس مستقیم برای پرونده ویدئویتان استفاده کنید</a>.
    </p>
</div>
<div class="group" id="image_yesno_group">
    <p class="info">
        شما می توانید از یک تصویر شاخص همراه با ویدئو استفاده کنید یا
        <a href="#image" class="fieldset_toggle">یک تصویر شاخص جداگانه انتخاب کنید</a>.
    </p>
</div>
<div class="group hidden" id="imageid_group">
    <h2>انتخاب یک تصویر شاخص ویدئو</h2>
    <div class="select">
        <select type="hidden" name="<?php echo JWP6; ?>imageid" id="<?php echo JWP6; ?>imageid" data-placeholder="انتخاب یک تصویر شاخص..." style="width: 90%;">
            <option value=""></option>
            <?php foreach ($jwp6m->images() as $attachment): ?>
            <option value="<?php echo $attachment['id']; ?>" title="<?php echo $attachment['url']; ?>"
                data-thumb="<?php echo $attachment['url']; ?>">
                <?php echo $attachment['name']; ?>
            </option>
            <?php endforeach; ?>
        </select>
    </div>
    <p class="info">
        تصویر شاخص قبل از شروع پخش ویدئو نمایش داده خواهد شد.
        <a href="#image" class="fieldset_toggle">شما همچنین می توانید از یک آدرس مستقیم برای تصویر شاخص خود استفاده کنید.</a>
        یا
        <a href="#image_yesno" class="fieldset_toggle">از تصویر همراه با ویدئو استفاده کنید</a>.
    </p>
</div>
<div class="group hidden" id="image_group">
    <h2>قرار دادن آدرس یک تصویر شاخص</h2>
    <div class="input">
        <input type="text" name="<?php echo JWP6; ?>image" />
    </div>
    <p class="info">
        تصویر شاخص قبل از شروع پخش ویدئو نمایش داده خواهد شد.
        <a href="#imageid" class="fieldset_toggle">شما همچنین می توانید یک تصویر را از کتابخانه پرونده های چندرسانه ای انتخاب کنید.</a>
        یا
        <a href="#image_yesno" class="fieldset_toggle">از تصویر همراه با ویدئو استفاده کنید</a>.
    </p>
</div>

<div class="group submit">
    <button type="submit" class="button-primary" name="insert">قرار دادن این پخش کننده در نوشته شما</button>
</div>

</form><!-- end of jwp6_wizard_form -->

<h2>پیش نمایش</h2>

<div class="preview" id="player-preview">
    <p class="info">پیش نمایش پخش کننده بعد از این که شما یک پخش کننده و یک ویدئو/آدرس ویدئو/لیست پخش را انتخاب کردید، نمایش داده خواهد شد.</p>
</div>

</div><!-- end of wrapper -->
</body>

</html>
