<?php

define('JWP6_LINK_JWP6_INFO',               'http://www.longtailvideo.com/jw-player/');
define('JWP6_LINK_UPGRADE_WORDPRESS_GUIDE', 'http://www.longtailvideo.com/support/jw-player/28834/migrating-from-jw5-to-jw6');
define('JWP6_LINK_UPGRADE_TO_JWP6',         'http://www.longtailvideo.com/jw-player/pricing/');


class JWP6_Migrate {
    public static function upgrade_notice() {
        $jwp6_hideupgradeto6notice = get_option(JWP6 . 'hideupgradeto6notice');
        if ( ! $jwp6_hideupgradeto6notice ) {
            add_option( JWP6 . 'hideupgradeto6notice', 'no', '', true);
            $jwp6_hideupgradeto6notice = 'no';
        }
        if ( 'no' == $jwp6_hideupgradeto6notice ) {
            if ( 
                ( isset($_GET['page']) && 0 == strpos($_GET['page'], 'jwplayer') && 'jwplayer-update' != $_GET['page'] )
                ||
                'plugins.php' == basename($_SERVER['SCRIPT_FILENAME']) 
            ) {
            ?>
            <div class="fade updated">
                <p>
                    لطفا توجه کنید. شما حالا می توانید پخش کننده را به نسخه جدید یعنی نسخه 6 بروزرسانی کنید.
                    <a href="<?php echo admin_url('admin.php?page=jwplayer-update'); ?>">حالا آن را قعال سازی کنید.</a>
                    یا
                    <a href="<?php echo admin_url('admin.php?page=jwplayer-update&' . JWP6 . 'hide_migration_notice=1'); ?>">این پیام را پنهان کنید.</a>.
                </p>
            </div>
            <?php
            }
        }
    }

    public static function migrate_section() {
        ?>
        <form name="<?php echo LONGTAIL_KEY . "form"; ?>" method="post" action="<?php echo admin_url('admin.php?page=jwplayer-update&noheader=true'); ?>">
            <div class="stuffbox">
                <h3 class="hndle"><span>بروزرسانی به نسخه 6</span></h3>
                <div class="inside">
                    <p style="margin: 15px;">
                        سایت وردپرسی شما از نسخه 5 استفاده می کند. یک نسخه جدیدتر، <a href="<?php echo JWP6_LINK_JWP6_INFO; ?>">نسخه 6 پخش کننده JW</a>، در حال حاضر موجود است. شما می توانید به طور خودکار به این نسخه جدید بروزرسانی کنید و از مزایای زیر بهره مند شوید:
                    </p>
                    <ul style="margin: 15px; list-style: disc inside;">
                        <li>
                            یک رابط ساده و زیبا. پشتیبانی بهتر HTML5 و عملکرد بهتر HTML5 و فلش.
                        </li>
                        <li>
                            پخش کننده در کانادا میزبانی می شود بنابراین بروزرسانی ها آسان تر و بارگذاری پخش کننده سزیعتر است.
                        </li>
                        <li>
                            ویژگی های انواع نسخه ها: نسخه حرفه ای (لوگوی دلخواه)، نسخه ویژه (پوسته ها، به اشتراک گذاری، HLS) و نسخه تبلیغات (VAST/IMA).
                        </li>
                    </ul>
                    <p style="margin:15px;">
                        متأسفانه، همه قابلیت های نسخه 5 در نسخه 6 وجود ندارند. مهم ترین ها (کتابخانه پوسته ها، افزون ها و پخش تصاویر) هستند. <a href="<?php echo JWP6_LINK_UPGRADE_WORDPRESS_GUIDE; ?>">(بروزرسانی از نسخه 5 به نسخه 6)</a> را برای یک لیست کامل مشاهده کنید.
                    </p>
                    <p style="margin:15px;">
                        اگر شما بروزرسانی کردید و ویزگی ای را در نسخه 6 مشاهده نکردید، همیشه می توانید دوباره <strong>به نسخه 5 برگردید</strong>. تمام تنظیمات اصلی شما بازیابی می شوند.
                    </p>
                    <p style="margin: 25px 15px;">
                        <input type="hidden" name="noheader" value="true" />
                        <input class="button button-primary" type="submit" name="migrate_to_jwp6" value="<?php _e("بروزرسانی به نسخه 6 پخش کننده JW", 'jw-player-plugin-for-wordpress'); ?>" />
                    </p>
                    <p style="margin:15px;">
                        توجه کنید که افزونه پخش کننده JW برای وردپرس دیگر بروزرسانی های نسخه 5 (تجاری) را پشتیبانی نمی کند. اگر شما علاقه مند به استفاده از نسخه تجاری پخش کننده JW هستید، شما باید <a href="<?php echo JWP6_LINK_UPGRADE_TO_JWP6; ?>">به نسخه 6 بروزرسانی کنید</a>.
                    </p>
                </div>
            </div>
        </form>
        <?php
    }

    public static function hide_migration_notice() {
        update_option(JWP6 . 'hideupgradeto6notice', 'yes');
        ?>
        <div class="updated fade">
            <p>
                <strong>اطلاعات مهاجرت نشان داده خواهند شد.</strong>
                شما در این برگه همیشه می توانید پخش کننده را به نسخه 6  بروزرسانی کنید!
            </p>
        </div>
        <?php
    }

    public static function migrate() {
        update_option(JWP6 . 'plugin_version', 6);
        add_option(JWP6 . 'previous_version', 5, '', true);
        delete_option(JWP6 . 'hideupgradeto6notice');
        wp_redirect( JWPLAYER_PLUGIN_URL . "/jwp6/jwp6-import.php?a=migrate");
        //wp_redirect(admin_url('admin.php?page=' . JWP6 . 'menu_import&show_migration_notice=true'));
    }
}

add_action('admin_notices', array('JWP6_Migrate', 'upgrade_notice'));
